const getters = {
    mode(state) {
        return state.mode
    },
    data(state) {
        return state.data
    },
    isSale(state) {
        return state.mode === 'sale'
    },
    isBudget(state) {
        return state.mode === 'budget'
    },
    isSaleProductPicking(state) {
        return state.mode === 'product_picking'
    },
    isSalePayment(state) {
        return state.mode === 'payment'
    },
    isSaleDelivery(state) {
        return state.mode === 'product_delivery'
    },
    isSynchronizable(state) {
        return ['sale', 'budget'].includes(state.mode)
    },
    isWired(state) {
        return state.isWired
    },
    loading(state) {
        return state.loading
    },
    footerButtonsVisibility(state) {
        return state.footerButtonsVisibility
    },
    settingsVisibility(state) {
        return state.settingsVisibility
    },
    settings(state) {
        let values = {
            imageType: true,
            allowExchange: false,
            viewExchanges: false,
            currencies: []
        }

        if (!state.settings) {
            return values
        }

        values.imageType = state.settings.imageType === 'small'
        values.allowExchange = state.settings.allowCurrencyExchange
        values.viewExchanges = state.settings.viewCurrencyExchanges
        values.currencies = state.settings.currencies

        return values
    },
    allowChangeUser(state) {
        return state.settings && state.settings.allowChangeUser
    },
    result(state) {
        return state.result
    },
    completed(state) {
        return state.completed
    },
    askForPrint(state) {
        return state.askForPrint
    },
    error(state) {
        return state.error
    }
}

export default getters